summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorEvan Zhang2021-01-15 11:42:06 -0500
committerEvan Zhang2021-01-15 11:42:06 -0500
commit26b8731865e912e810a773280888040cbc8fb1d4 (patch)
tree750fc4ffda18f2f70f6545caa5f54b8812a57060
downloadaur-26b8731865e912e810a773280888040cbc8fb1d4.tar.gz
update to 1.0.4
-rw-r--r--.SRCINFO18
-rw-r--r--PKGBUILD25
2 files changed, 43 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..250f9446200
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,18 @@
+pkgbase = abeluna
+ pkgdesc = A simple GUI to-do/task manager with CalDAV support.
+ pkgver = 1.0.4
+ pkgrel = 1
+ url = https://github.com/Ninjaclasher/abeluna
+ arch = any
+ license = AGPL3
+ depends = python-gobject
+ depends = python-humanize
+ depends = python-icalendar
+ depends = python-caldav
+ depends = libnotify
+ depends = python-setuptools
+ source = abeluna-1.0.4.tar.gz::https://github.com/Ninjaclasher/abeluna/archive/1.0.4.tar.gz
+ md5sums = dffb31b2a0771f267d20540d23aa6914
+
+pkgname = abeluna
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..83aacaca23b
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Evan Zhang <aur AT evanzhang.ca>
+
+pkgname=abeluna
+pkgver=1.0.4
+pkgrel=1
+pkgdesc="A simple GUI to-do/task manager with CalDAV support."
+arch=('any')
+url="https://github.com/Ninjaclasher/abeluna"
+license=('AGPL3')
+source=(
+ "$pkgname-$pkgver.tar.gz"::https://github.com/Ninjaclasher/abeluna/archive/"$pkgver".tar.gz
+)
+md5sums=('dffb31b2a0771f267d20540d23aa6914')
+depends=(
+ 'python-gobject'
+ 'python-humanize'
+ 'python-icalendar'
+ 'python-caldav'
+ 'libnotify'
+ 'python-setuptools'
+)
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}" || exit 2
+ /usr/bin/python3 setup.py install --prefix=/usr --root="$pkgdir/" --optimize=1
+}